AI Governance
Policy, evaluation, finding, review, exemption, and remediation-task APIs for governed AI assets.
/api/v1/ai-governance/dashboard/summaryGet summary
Get summary for AI Governance policy, evaluation, finding, review, exemption, or remediation workflows. The tenant is resolved server-side from the bearer token/session; callers do not pass a tenant subdomain in the API path.
Query parameters
| page | Zero-based page index where supported. |
| size | Page size where supported. |
| status | Filter by workflow status where supported. |
| severity | Filter by finding or policy severity where supported. |
| policyId | Filter findings or evaluations by policy id where supported. |
| assetId | Filter findings by AI asset id where supported. |
Responses
Example request
curl -X GET "https://api.authspoke.com/api/v1/ai-governance/dashboard/summary" \
-H "Authorization: Bearer $TOKEN"Example response
{
"id": "uuid",
"status": "OK"
}/api/v1/ai-governance/domain/enumsList domain enums
List domain enums for AI Governance policy, evaluation, finding, review, exemption, or remediation workflows. The tenant is resolved server-side from the bearer token/session; callers do not pass a tenant subdomain in the API path.
Query parameters
| page | Zero-based page index where supported. |
| size | Page size where supported. |
| status | Filter by workflow status where supported. |
| severity | Filter by finding or policy severity where supported. |
| policyId | Filter findings or evaluations by policy id where supported. |
| assetId | Filter findings by AI asset id where supported. |
Responses
Example request
curl -X GET "https://api.authspoke.com/api/v1/ai-governance/domain/enums" \
-H "Authorization: Bearer $TOKEN"Example response
{
"id": "uuid",
"status": "OK"
}/api/v1/ai-governance/evaluations/runCreate or run evaluations run
Create or run evaluations run for AI Governance policy, evaluation, finding, review, exemption, or remediation workflows. The tenant is resolved server-side from the bearer token/session; callers do not pass a tenant subdomain in the API path.
Request body
| name | string | Display name or operation name where applicable. |
| status | string | Status or lifecycle value where applicable. |
| reason | string | Audit reason for governed changes. |
| metadata | object | Provider or business metadata. |
| configuration | object | Connector, policy, or resource configuration. |
Responses
Example request
curl -X POST "https://api.authspoke.com/api/v1/ai-governance/evaluations/run" \
-H "Authorization: Bearer $TOKEN" \
-H "Content-Type: application/json" \
-d '{"reason":"Reviewed by governance workflow","status":"ACTIVE"}'Example response
{
"id": "uuid",
"status": "OK"
}/api/v1/ai-governance/evaluations/runsList evaluations runs
List evaluations runs for AI Governance policy, evaluation, finding, review, exemption, or remediation workflows. The tenant is resolved server-side from the bearer token/session; callers do not pass a tenant subdomain in the API path.
Query parameters
| page | Zero-based page index where supported. |
| size | Page size where supported. |
| status | Filter by workflow status where supported. |
| severity | Filter by finding or policy severity where supported. |
| policyId | Filter findings or evaluations by policy id where supported. |
| assetId | Filter findings by AI asset id where supported. |
Responses
Example request
curl -X GET "https://api.authspoke.com/api/v1/ai-governance/evaluations/runs" \
-H "Authorization: Bearer $TOKEN"Example response
{
"id": "uuid",
"status": "OK"
}/api/v1/ai-governance/evaluations/runs/{id}Get runs id
Get runs id for AI Governance policy, evaluation, finding, review, exemption, or remediation workflows. The tenant is resolved server-side from the bearer token/session; callers do not pass a tenant subdomain in the API path.
Path parameters
| id* | id identifier. |
Query parameters
| status | Filter by workflow status where supported. |
| severity | Filter by finding or policy severity where supported. |
| policyId | Filter findings or evaluations by policy id where supported. |
| assetId | Filter findings by AI asset id where supported. |
Responses
Example request
curl -X GET "https://api.authspoke.com/api/v1/ai-governance/evaluations/runs/{id}" \
-H "Authorization: Bearer $TOKEN"Example response
{
"id": "uuid",
"status": "OK"
}/api/v1/ai-governance/exemptionsList ai governance exemptions
List ai governance exemptions for AI Governance policy, evaluation, finding, review, exemption, or remediation workflows. The tenant is resolved server-side from the bearer token/session; callers do not pass a tenant subdomain in the API path.
Query parameters
| page | Zero-based page index where supported. |
| size | Page size where supported. |
| status | Filter by workflow status where supported. |
| severity | Filter by finding or policy severity where supported. |
| policyId | Filter findings or evaluations by policy id where supported. |
| assetId | Filter findings by AI asset id where supported. |
Responses
Example request
curl -X GET "https://api.authspoke.com/api/v1/ai-governance/exemptions" \
-H "Authorization: Bearer $TOKEN"Example response
{
"id": "uuid",
"status": "OK"
}/api/v1/ai-governance/exemptions/{id}Get exemptions id
Get exemptions id for AI Governance policy, evaluation, finding, review, exemption, or remediation workflows. The tenant is resolved server-side from the bearer token/session; callers do not pass a tenant subdomain in the API path.
Path parameters
| id* | id identifier. |
Query parameters
| status | Filter by workflow status where supported. |
| severity | Filter by finding or policy severity where supported. |
| policyId | Filter findings or evaluations by policy id where supported. |
| assetId | Filter findings by AI asset id where supported. |
Responses
Example request
curl -X GET "https://api.authspoke.com/api/v1/ai-governance/exemptions/{id}" \
-H "Authorization: Bearer $TOKEN"Example response
{
"id": "uuid",
"status": "OK"
}/api/v1/ai-governance/exemptions/{id}/revokeUpdate id revoke
Update id revoke for AI Governance policy, evaluation, finding, review, exemption, or remediation workflows. The tenant is resolved server-side from the bearer token/session; callers do not pass a tenant subdomain in the API path.
Path parameters
| id* | id identifier. |
Request body
| name | string | Display name or operation name where applicable. |
| status | string | Status or lifecycle value where applicable. |
| reason | string | Audit reason for governed changes. |
| metadata | object | Provider or business metadata. |
| configuration | object | Connector, policy, or resource configuration. |
Responses
Example request
curl -X PATCH "https://api.authspoke.com/api/v1/ai-governance/exemptions/{id}/revoke" \
-H "Authorization: Bearer $TOKEN" \
-H "Content-Type: application/json" \
-d '{"reason":"Reviewed by governance workflow","status":"ACTIVE"}'Example response
{
"id": "uuid",
"status": "OK"
}/api/v1/ai-governance/findingsList ai governance findings
List ai governance findings for AI Governance policy, evaluation, finding, review, exemption, or remediation workflows. The tenant is resolved server-side from the bearer token/session; callers do not pass a tenant subdomain in the API path.
Query parameters
| page | Zero-based page index where supported. |
| size | Page size where supported. |
| status | Filter by workflow status where supported. |
| severity | Filter by finding or policy severity where supported. |
| policyId | Filter findings or evaluations by policy id where supported. |
| assetId | Filter findings by AI asset id where supported. |
Responses
Example request
curl -X GET "https://api.authspoke.com/api/v1/ai-governance/findings" \
-H "Authorization: Bearer $TOKEN"Example response
{
"id": "uuid",
"status": "OK"
}/api/v1/ai-governance/findings/{id}Get findings id
Get findings id for AI Governance policy, evaluation, finding, review, exemption, or remediation workflows. The tenant is resolved server-side from the bearer token/session; callers do not pass a tenant subdomain in the API path.
Path parameters
| id* | id identifier. |
Query parameters
| page | Zero-based page index where supported. |
| size | Page size where supported. |
| status | Filter by workflow status where supported. |
| severity | Filter by finding or policy severity where supported. |
| policyId | Filter findings or evaluations by policy id where supported. |
| assetId | Filter findings by AI asset id where supported. |
Responses
Example request
curl -X GET "https://api.authspoke.com/api/v1/ai-governance/findings/{id}" \
-H "Authorization: Bearer $TOKEN"Example response
{
"id": "uuid",
"status": "OK"
}/api/v1/ai-governance/findings/{id}/review-actionsCreate or run id review actions
Create or run id review actions for AI Governance policy, evaluation, finding, review, exemption, or remediation workflows. The tenant is resolved server-side from the bearer token/session; callers do not pass a tenant subdomain in the API path.
Path parameters
| id* | id identifier. |
Request body
| name | string | Display name or operation name where applicable. |
| status | string | Status or lifecycle value where applicable. |
| reason | string | Audit reason for governed changes. |
| metadata | object | Provider or business metadata. |
| configuration | object | Connector, policy, or resource configuration. |
Responses
Example request
curl -X POST "https://api.authspoke.com/api/v1/ai-governance/findings/{id}/review-actions" \
-H "Authorization: Bearer $TOKEN" \
-H "Content-Type: application/json" \
-d '{"reason":"Reviewed by governance workflow","status":"ACTIVE"}'Example response
{
"id": "uuid",
"status": "OK"
}/api/v1/ai-governance/findings/{id}/reviewsGet id reviews
Get id reviews for AI Governance policy, evaluation, finding, review, exemption, or remediation workflows. The tenant is resolved server-side from the bearer token/session; callers do not pass a tenant subdomain in the API path.
Path parameters
| id* | id identifier. |
Query parameters
| page | Zero-based page index where supported. |
| size | Page size where supported. |
| status | Filter by workflow status where supported. |
| severity | Filter by finding or policy severity where supported. |
| policyId | Filter findings or evaluations by policy id where supported. |
| assetId | Filter findings by AI asset id where supported. |
Responses
Example request
curl -X GET "https://api.authspoke.com/api/v1/ai-governance/findings/{id}/reviews" \
-H "Authorization: Bearer $TOKEN"Example response
{
"id": "uuid",
"status": "OK"
}/api/v1/ai-governance/policiesList ai governance policies
List ai governance policies for AI Governance policy, evaluation, finding, review, exemption, or remediation workflows. The tenant is resolved server-side from the bearer token/session; callers do not pass a tenant subdomain in the API path.
Query parameters
| page | Zero-based page index where supported. |
| size | Page size where supported. |
| status | Filter by workflow status where supported. |
| severity | Filter by finding or policy severity where supported. |
| policyId | Filter findings or evaluations by policy id where supported. |
| assetId | Filter findings by AI asset id where supported. |
Responses
Example request
curl -X GET "https://api.authspoke.com/api/v1/ai-governance/policies" \
-H "Authorization: Bearer $TOKEN"Example response
{
"id": "uuid",
"status": "OK"
}/api/v1/ai-governance/policiesCreate or run ai governance policies
Create or run ai governance policies for AI Governance policy, evaluation, finding, review, exemption, or remediation workflows. The tenant is resolved server-side from the bearer token/session; callers do not pass a tenant subdomain in the API path.
Request body
| name | string | Display name or operation name where applicable. |
| status | string | Status or lifecycle value where applicable. |
| reason | string | Audit reason for governed changes. |
| metadata | object | Provider or business metadata. |
| configuration | object | Connector, policy, or resource configuration. |
Responses
Example request
curl -X POST "https://api.authspoke.com/api/v1/ai-governance/policies" \
-H "Authorization: Bearer $TOKEN" \
-H "Content-Type: application/json" \
-d '{"reason":"Reviewed by governance workflow","status":"ACTIVE"}'Example response
{
"id": "uuid",
"status": "OK"
}/api/v1/ai-governance/policies/{id}Get policies id
Get policies id for AI Governance policy, evaluation, finding, review, exemption, or remediation workflows. The tenant is resolved server-side from the bearer token/session; callers do not pass a tenant subdomain in the API path.
Path parameters
| id* | id identifier. |
Query parameters
| page | Zero-based page index where supported. |
| size | Page size where supported. |
| status | Filter by workflow status where supported. |
| severity | Filter by finding or policy severity where supported. |
| policyId | Filter findings or evaluations by policy id where supported. |
| assetId | Filter findings by AI asset id where supported. |
Responses
Example request
curl -X GET "https://api.authspoke.com/api/v1/ai-governance/policies/{id}" \
-H "Authorization: Bearer $TOKEN"Example response
{
"id": "uuid",
"status": "OK"
}/api/v1/ai-governance/policies/{id}Update policies id
Update policies id for AI Governance policy, evaluation, finding, review, exemption, or remediation workflows. The tenant is resolved server-side from the bearer token/session; callers do not pass a tenant subdomain in the API path.
Path parameters
| id* | id identifier. |
Request body
| name | string | Display name or operation name where applicable. |
| status | string | Status or lifecycle value where applicable. |
| reason | string | Audit reason for governed changes. |
| metadata | object | Provider or business metadata. |
| configuration | object | Connector, policy, or resource configuration. |
Responses
Example request
curl -X PATCH "https://api.authspoke.com/api/v1/ai-governance/policies/{id}" \
-H "Authorization: Bearer $TOKEN" \
-H "Content-Type: application/json" \
-d '{"reason":"Reviewed by governance workflow","status":"ACTIVE"}'Example response
{
"id": "uuid",
"status": "OK"
}/api/v1/ai-governance/policies/{id}Delete policies id
Delete policies id for AI Governance policy, evaluation, finding, review, exemption, or remediation workflows. The tenant is resolved server-side from the bearer token/session; callers do not pass a tenant subdomain in the API path.
Path parameters
| id* | id identifier. |
Responses
Example request
curl -X DELETE "https://api.authspoke.com/api/v1/ai-governance/policies/{id}" \
-H "Authorization: Bearer $TOKEN"/api/v1/ai-governance/policies/{id}/duplicateCreate or run id duplicate
Create or run id duplicate for AI Governance policy, evaluation, finding, review, exemption, or remediation workflows. The tenant is resolved server-side from the bearer token/session; callers do not pass a tenant subdomain in the API path.
Path parameters
| id* | id identifier. |
Request body
| name | string | Display name or operation name where applicable. |
| status | string | Status or lifecycle value where applicable. |
| reason | string | Audit reason for governed changes. |
| metadata | object | Provider or business metadata. |
| configuration | object | Connector, policy, or resource configuration. |
Responses
Example request
curl -X POST "https://api.authspoke.com/api/v1/ai-governance/policies/{id}/duplicate" \
-H "Authorization: Bearer $TOKEN" \
-H "Content-Type: application/json" \
-d '{"reason":"Reviewed by governance workflow","status":"ACTIVE"}'Example response
{
"id": "uuid",
"status": "OK"
}/api/v1/ai-governance/policies/{id}/statusUpdate id status
Update id status for AI Governance policy, evaluation, finding, review, exemption, or remediation workflows. The tenant is resolved server-side from the bearer token/session; callers do not pass a tenant subdomain in the API path.
Path parameters
| id* | id identifier. |
Request body
| name | string | Display name or operation name where applicable. |
| status | string | Status or lifecycle value where applicable. |
| reason | string | Audit reason for governed changes. |
| metadata | object | Provider or business metadata. |
| configuration | object | Connector, policy, or resource configuration. |
Responses
Example request
curl -X PATCH "https://api.authspoke.com/api/v1/ai-governance/policies/{id}/status" \
-H "Authorization: Bearer $TOKEN" \
-H "Content-Type: application/json" \
-d '{"reason":"Reviewed by governance workflow","status":"ACTIVE"}'Example response
{
"id": "uuid",
"status": "OK"
}/api/v1/ai-governance/reviewsList ai governance reviews
List ai governance reviews for AI Governance policy, evaluation, finding, review, exemption, or remediation workflows. The tenant is resolved server-side from the bearer token/session; callers do not pass a tenant subdomain in the API path.
Query parameters
| page | Zero-based page index where supported. |
| size | Page size where supported. |
| status | Filter by workflow status where supported. |
| severity | Filter by finding or policy severity where supported. |
| policyId | Filter findings or evaluations by policy id where supported. |
| assetId | Filter findings by AI asset id where supported. |
Responses
Example request
curl -X GET "https://api.authspoke.com/api/v1/ai-governance/reviews" \
-H "Authorization: Bearer $TOKEN"Example response
{
"id": "uuid",
"status": "OK"
}/api/v1/ai-governance/tasksList ai governance tasks
List ai governance tasks for AI Governance policy, evaluation, finding, review, exemption, or remediation workflows. The tenant is resolved server-side from the bearer token/session; callers do not pass a tenant subdomain in the API path.
Query parameters
| page | Zero-based page index where supported. |
| size | Page size where supported. |
| status | Filter by workflow status where supported. |
| severity | Filter by finding or policy severity where supported. |
| policyId | Filter findings or evaluations by policy id where supported. |
| assetId | Filter findings by AI asset id where supported. |
Responses
Example request
curl -X GET "https://api.authspoke.com/api/v1/ai-governance/tasks" \
-H "Authorization: Bearer $TOKEN"Example response
{
"id": "uuid",
"status": "OK"
}/api/v1/ai-governance/tasks/{id}Update tasks id
Update tasks id for AI Governance policy, evaluation, finding, review, exemption, or remediation workflows. The tenant is resolved server-side from the bearer token/session; callers do not pass a tenant subdomain in the API path.
Path parameters
| id* | id identifier. |
Request body
| name | string | Display name or operation name where applicable. |
| status | string | Status or lifecycle value where applicable. |
| reason | string | Audit reason for governed changes. |
| metadata | object | Provider or business metadata. |
| configuration | object | Connector, policy, or resource configuration. |
Responses
Example request
curl -X PATCH "https://api.authspoke.com/api/v1/ai-governance/tasks/{id}" \
-H "Authorization: Bearer $TOKEN" \
-H "Content-Type: application/json" \
-d '{"reason":"Reviewed by governance workflow","status":"ACTIVE"}'Example response
{
"id": "uuid",
"status": "OK"
}